Jump to content

MediaWiki:Common.css: Difference between revisions

From THS Wiki
No edit summary
Tag: Reverted
No edit summary
Tag: Reverted
Line 1: Line 1:
/* CSS placed here will be applied to all skins */
/* CSS placed here will be applied to all skins on desktop */


/* Navbox style
      Edit here: https://www.khwiki.com/MediaWiki:Gadget-NavboxStyle.css
  Staff highlights
      Edit here: https://www.khwiki.com/MediaWiki:Gadget-StaffHighlights.css */


/*
/* Indicator icons */
* The CSS here should be moved to Vector.css as much as possible. Currently,
.mw-indicators {
* no other skin is supported for desktop, and mobile doesn't use Common.css
display: flex;
* anyway. Any future skin that we intend to support will need careful
* consideration and porting of CSS to its own skin-specific CSS page.
*/
 
 
/* Global variables used for various things */
:root {
/* Originally for the "tooltip" style boxes; also used for some other
* things now. Should perhaps be renamed or split into different variables.
*/
--bg3wiki-tooltip-border: #785000;
}
}


/* Table of contents */
/* Random logo */
.toc {
#p-logo a { background: transparent no-repeat; }
margin: 0.5em 0 0 0.5em;
.client-nojs #p-logo a,
.mw-special-Gadgets #p-logo a,
.mw-special-Userlogin #p-logo a,
.mw-special-Preferences #p-logo a,
.mw-special-ChangeEmail #p-logo a,
.mw-special-ResetTokens #p-logo a,
.mw-special-BotPasswords #p-logo a,
.mw-special-CreateAccount #p-logo a,
.mw-special-PasswordReset #p-logo a {
background-image: url(https://kh.wiki.gallery/images/b/bc/Wiki.png);
}
}


/* Remove [edit] button from h4 to h6 */
/* Main page */
:is(h4, h5, h6) .mw-editsection {
@media all and (min-width: 551px) {
display: none;
body.page-Main_Page.action-view #content {
overflow: visible;
z-index: 5;
}
}
}
 
body.page-Main_Page.action-view .mw-parser-output table img {
/* Trick to easily make lists with list-style: none */
min-width: 15px !important;
/* Wrap a list in <div class="bg3wiki-list-style-none"> */
max-width: 100% !important;
.bg3wiki-list-style-none > ul {
height: auto !important;
list-style: none;
}
}


/* Some h3 use an alternative style. */
/* KHWiki tabber */
.bg3wiki-tooltip-box h3,
.infobox .tabbernav {
h3.bg3wiki-level-header {
font-size: 90%;
border-bottom: 1px dashed var(--bg3wiki-tooltip-border);
font-family: 'Linux Libertine', 'Georgia', 'Times', serif;
font-weight: normal;
}
 
h3.bg3wiki-level-header {
font-size: 140%;
}
 
/* Book text, shared css */
.bg3wiki-book-text {
box-shadow:
rgba(0, 0, 0, 0.14) 3px 3px 6px 0px inset,
rgba(0, 0, 0, 0.14) -3px -3px 6px 1px inset;
border: 0.15rem solid #785000;
border-radius: 10px;
padding: 30px 40px;
}
 
.bg3wiki-book-text p {
font-family: 'Linux Libertine', 'Georgia', serif;
font-size: 1.2rem;
max-width: 800px;
margin: auto;
}
 
/* Item, spell, etc. properties */
.bg3wiki-property-list > ul {
margin-left: 0;
list-style: none;
}
.mw-content-ltr ul.bg3wiki-property-list {
margin-left: 0;
list-style: none;
}
.bg3wiki-property-list dd {
margin-left: 0;
}
 
/* ItemIcon stuff */
 
:root {
--bg3wiki-itemicon-common: 72, 72, 72;
--bg3wiki-itemicon-uncommon: 1, 189, 57;
--bg3wiki-itemicon-rare: 1, 191, 255;
--bg3wiki-itemicon-very-rare: 209, 1, 123;
--bg3wiki-itemicon-legendary: 183, 134, 29;
--bg3wiki-itemicon-story: 255, 89, 1;
--bg3wiki-itemicon-gradient-top-opacity: 0%;
--bg3wiki-itemicon-gradient-bot-opacity: 12.5%;
--bg3wiki-itemicon-border-opacity: 60%;
}
 
.bg3wiki-itemicon-wrapper {
text-align: center;
}
 
/* The value of --bg3wiki-rarity-color will be set per rarity class. */
.bg3wiki-itemicon {
display: inline-block;
background: linear-gradient(
rgba(var(--bg3wiki-rarity-color), var(--bg3wiki-itemicon-gradient-top-opacity)),
rgba(var(--bg3wiki-rarity-color), var(--bg3wiki-itemicon-gradient-bot-opacity))
);
border: solid 1px rgba(var(--bg3wiki-rarity-color), var(--bg3wiki-itemicon-border-opacity));
}
 
.bg3wiki-itemicon-common {
--bg3wiki-rarity-color: var(--bg3wiki-itemicon-common);
}
 
.bg3wiki-itemicon-uncommon {
--bg3wiki-rarity-color: var(--bg3wiki-itemicon-uncommon);
}
 
.bg3wiki-itemicon-rare {
--bg3wiki-rarity-color: var(--bg3wiki-itemicon-rare);
}
 
.bg3wiki-itemicon-very-rare {
--bg3wiki-rarity-color: var(--bg3wiki-itemicon-very-rare);
}
 
.bg3wiki-itemicon-legendary {
--bg3wiki-rarity-color: var(--bg3wiki-itemicon-legendary);
}
 
.bg3wiki-itemicon-story {
--bg3wiki-rarity-color: var(--bg3wiki-itemicon-story);
}
 
/* Coordinates */
 
body .bg3wiki-coordinates {
font-family: 'Linux Libertine', 'Times New Roman', serif;
text-shadow: 1px 1px 2px #000, -1px -1px 2px #000;
color: #AB9F89;
background: #34323285;
border-radius: 5px;
padding: 3px 5px;
box-shadow: 1px 1px 5px #00000030;
}
 
/* Tooltip box: imitating in-game tooltips and item icons */
body .bg3wiki-tooltip-box {
background: var(--bg3wiki-tooltip-bg);
box-shadow:
rgba(0, 0, 0, 0.14) 3px 3px 6px 0px inset,
rgba(0, 0, 0, 0.14) -3px -3px 6px 1px inset;
border: 0.15rem solid var(--bg3wiki-tooltip-border);
border-radius: 10px;
padding: 15px;
margin: 0.5em 0.2em 0 0.2em;
}
 
/* [[Template:Relative location]] */
.relative-location {
background: var(--bg3wiki-relative-location-bg);
border: 1px solid var(--bg3wiki-tooltip-border);
border-spacing: 0;
box-shadow: 0 0.25rem 0.35rem -0.25rem rgba(0, 0, 0, 0.1);
margin: 5px;
text-align: center;
}
.relative-location-header {
background: var(--bg3wiki-relative-location-header-bg-dark);
}
 
/* Damage Rider As Source (DRS) template */
.bg3wiki-damage-rider-source {
font-size: 10px;
vertical-align: top;
font-style: italic;
}
}
 
.tabber.info {
/* Proficiency abbreviation styling */
float: right;
.bg3wiki-save-proficiency-abbr  {
font-size: 10px;
vertical-align: top;
}
 
/* For mobile eyes only */
.nodesktop {
display: none;
}
 
/* Hat note */
.hatnote {
font-style: var(--bg3wiki-hatnote-font-style);
font-size: var(--bg3wiki-hatnote-font-size);
padding: var(--bg3wiki-hatnote-padding);
margin: var(--bg3wiki-hatnote-margin);
border: 0;
display: block;
display: block;
background-color: var(--bg3wiki-hatnote-bg);
margin: 0 0 0.5em 1em;
}
}
 
.tabber.info .nav {
/* Price calculator */
display: block !important;
#bg3wiki-price-calculator {
  border: 1px solid var(--bg3wiki-tooltip-border);
}
}
 
.tabber.info .infobox > tbody > tr:nth-child(2) img {
#bg3wiki-price-calculator-form {
max-width: 100% !important;
  padding: 0.5em;
height: auto !important;
}
}
 
.tabber.info table {
#bg3wiki-price-calculator-form input[type="number"] {
float: none !important;
  width: 100%;
width: auto !important;
display: block !important;
max-width: none !important;
overflow-x: auto !important;
margin: 0 !important;
}
}
 
.tabber.info tbody {
#bg3wiki-price-calculator-form td {
width: 100% !important;
  padding-right: 0.5em;
display: table !important;
}
}


#bg3wiki-price-calculator-form th {
/* Infobox templates */
  text-align: right;
.infobox {
  padding-right: 0.5em;
float: right;
clear: right;
margin: 0 0 0.5em 1em;
padding: 2px;
}
}
 
.infobox.journal,
#bg3wiki-price-calculator-form label {
.infobox.journal-green {
  margin-left: 0.2em;
padding: 2px 1em 1em;
}
}


#bg3wiki-price-calculator-result {
/* Notice templates */
  margin: 1em;
table + #stub {
margin-top: 10px;
}
}
 
.notice-template {
#bg3wiki-price-calculator-result td, #bg3wiki-price-calculator-result th {
width: 95%;
  text-align: right;
margin: 0 auto 10px;
}
}
 
#mw-imagepage-content .notice-template {
/**
margin: 5px auto !important;
  Hack to display category trees as a navbox. Only used on NavModding and NavGuides for now.
**/
 
.navcat div > .CategoryTreeSection::after {
content: " · ";
font-weight: bold;
}
}
 
.notice-template + .notice-template {
.navcat div > .CategoryTreeSection:last-child::after {
margin-top: -5px;
content: none;
}
}


.navcat div > .CategoryTreeTag,
/* Video tables */
.navcat div > .CategoryTreePageBullet {
table.video {
display: none;
margin: 5px auto;
margin: 0;
padding: 0;
}
}


.navcat div {
/* Suite tabs */
.suite_tab {
display: inline;
display: inline;
margin: 0;
background: #fff;
padding: 0;
background: linear-gradient(top,#eee,#fff);
padding-left: 0;
box-shadow: 2px 2px 4px #333;
}
 
/* Documentation css */
.ts-doc-doc {
background-color: var(--bg3wiki-documentation-bg);
/* border: 1px solid var(--bg3wiki-documentation-border); */
}
 
.ts-doc-header {
background-color: var(--bg3wiki-documentation-header-bg);
}
 
.ts-doc-footer {
background-color: var(--bg3wiki-documentation-bg);
border: 1px solid var(--bg3wiki-documentation-border);
}
}


/* Info blob */
/* Forum formatting */
div.bg3wiki-info-blob {
.forumlist td.forum_edited a {
display: inline-block;
color: #000;
padding: 0 1em 0 1em;
text-decoration: none;
border-radius: 20px;
}
}
span.bg3wiki-info-blob {
.forumlist td.forum_title a {
display: inline-block;
padding-left: 20px;
padding: 0 0.5em 0 0.5em;
border-radius: 10px;
}
 
.bg3wiki-info-blob {
font-family: monospace;
}
 
/* number inside AC shield */
.bg3wiki-ac-value {
display: grid;
justify-items:start;
align-items: start
}
 
.bg3wiki-ac-value > div {
grid-column-start: 1;
grid-row-start: 1;
}
 
.bg3wiki-ac-value .ac-value {
text-align:center;
width: 40px;
align-self: center;
padding-bottom: 0.5ch
}
 
.bg3wiki-ac-value .ac-value-comment {
grid-column-start: 2;
grid-row-start: 1;
align-self: center
}
 
/* Spoiler warning */
.bg3wiki-spoiler-warning {
background: linear-gradient(to right, var(--bg3wiki-spoiler-warning-start), var(--bg3wiki-spoiler-warning-end));
align-items:center;
border-radius:10px;
padding: 5px;
display: flex;
flex-wrap: wrap;
}
 
.bg3wiki-spoiler-warning.bg3wiki-spoiler-warning-no-grad {
background: transparent;
}
 
.bg3wiki-spoiler-warning strong {
color: var(--bg3wiki-spoiler-warning-strong-color);
}
 
/* Widget: Interactive map */
.bg3wiki-lower-city-map {
background-color: var(--bg3wiki-lower-city-map-bg);
border: 1px solid var(--bg3wiki-tooltip-border);
}
 
.bg3wiki-lower-city-map-svg {
background-color: var(--bg3wiki-lower-city-map-inner-bg);
}
 
/** Suppress fallback MathML implementation: most browsers support it natively. **/
/* -*- Mode: CSS; tab-width: 2; indent-tabs-mode:nil; c-basic-offset: 2 -*- */
/* vim: set ts=2 et sw=2 tw=80: */
/* This Source Code Form is subject to the terms of the Mozilla Public
* License, v. 2.0. If a copy of the MPL was not distributed with this
* file, You can obtain one at http://mozilla.org/MPL/2.0/. */
/* Retrieved from https://github.com/fred-wang/webextension-native-mathml/blob/master/content-scripts/mediawiki.css */
 
/* Reset some CSS properties set by MediaWiki and hide the image fallback */
.mwe-math-mathml-a11y {
clip: auto;
overflow: visible;
position: static;
width: auto;
height: auto;
opacity: 1;
display: inherit;
}
 
body.mediawiki .ve-ce-mwLatexNode .mwe-math-mathml-a11y {
/* override https://phabricator.wikimedia.org/diffusion/EMAT/browse/master/modules/ve-math/ve.ce.MWLatexNode.css */
display: inherit;
}
/* Support where MediaWiki lazy loaded images */
.mwe-math-mathml-inline ~ .lazy-image-placeholder,
.mwe-math-mathml-display ~ .lazy-image-placeholder,
/* Support where MediaWiki doesn't lazy load images */
.mwe-math-mathml-inline + .mwe-math-fallback-image-inline,
.mwe-math-mathml-display + .mwe-math-fallback-image-display {
display: none;
}
}
 
.forumlist td.forum_title a.forum_new {
/* Tablelist template */
 
.bg3wiki-tablelist dt {
font-weight: bold;
font-weight: bold;
font-size: 100%;
background: url(https://kh.wiki.gallery/images/forum_new.gif) center left no-repeat;
margin: 0;  
padding-left: 20px;
display: inline;
}
}
 
.forumlist td.forum_title a.forum_new:visited {
.bg3wiki-tablelist dt::after {
background: none;
content: ":";
font-weight: normal;
font-weight: normal;
font-size: 100%;
padding-left: 20px;
}
 
/* No colon style */
.bg3wiki-tablelist.nocolon dt::after {
content: none;
}
 
.bg3wiki-tablelist dl {
margin: 0;
padding: 0;
font-size: 100%;
}
}
 
.forumlist th.forum_title {
.bg3wiki-tablelist dd {
padding-left: 20px;
font-size: 100%;
margin: 0;
display: inline;
}
 
.bg3wiki-tablelist dd::after {
content: "\a";
white-space: pre;
}
}


/* Unbulleted lists */
/* --------------------------------------------------
.bg3wiki-ublist ul,
MAIN PAGE PORTALS CSS FOLLOWS
.bg3wiki-ublist ol {
ORIGINAL CONCEPT COURTESY OF THE ZELDA WIKI
margin: 0;
http://www.zeldawiki.org
padding: 0;
ADJUSTED BY KeybladeSpyMaster. Updated May 12, 2015
line-height: inherit;
-------------------------------------------------- */
list-style: none;
}


/* Horizontal lists */
.nav {
.bg3wiki-horizontlist dl,
.bg3wiki-horizontlist ul {
margin: 0;
padding: 0;
padding: 0;
display: inline-block;
}
}
 
.nav:hover .dropdown:not(#personal-inner) {
.bg3wiki-horizontlist dl ul,
display: block !important;
.bg3wiki-horizontlist dl dl,
.bg3wiki-horizontlist ul dl,
.bg3wiki-horizontlist ul ul {
display: inline;
}
}
 
.nav:hover .mwe-popups-container {
.bg3wiki-horizontlist dd,
display: none;
.bg3wiki-horizontlist dt,
.bg3wiki-horizontlist li {
margin: 0;
display: inline;
}
}


.bg3wiki-horizontlist dd::after,
.container {
.bg3wiki-horizontlist li::after {
height: 450px;
content: " · ";
position: absolute;
font-weight: bold;
}
}


.bg3wiki-horizontlist dd:last-child::after,
.dropdown:not(#personal-inner) {
.bg3wiki-horizontlist dt:last-child::after,
color: #000;
.bg3wiki-horizontlist li:last-child::after {
float: left;
content: none;
z-index: 100;
}
position: relative;
 
display: none !important;
.bg3wiki-horizontlist dt::after {
border: 2px solid #BFBFBF;
content: ":";
border-radius: 10px;
font-weight: normal;
right: -45%;
font-size: 100%;
left: -45%;
}
}
 
.dropdown:not(#personal-inner) a {
.bg3wiki-horizontlist dd dd:first-child::before,
color: #fff;
.bg3wiki-horizontlist dd dt:first-child::before,
text-decoration: none;
.bg3wiki-horizontlist dd li:first-child::before,
.bg3wiki-horizontlist dt dd:first-child::before,
.bg3wiki-horizontlist dt dt:first-child::before,
.bg3wiki-horizontlist dt li:first-child::before,
.bg3wiki-horizontlist li dd:first-child::before,
.bg3wiki-horizontlist li dt:first-child::before,
.bg3wiki-horizontlist li li:first-child::before {
content: " (";
font-weight: normal;
}
 
.bg3wiki-horizontlist dd dd:last-child::after,
.bg3wiki-horizontlist dd dt:last-child::after,
.bg3wiki-horizontlist dd li:last-child::after,
.bg3wiki-horizontlist dt dd:last-child::after,
.bg3wiki-horizontlist dt dt:last-child::after,
.bg3wiki-horizontlist dt li:last-child::after,
.bg3wiki-horizontlist li dd:last-child::after,
.bg3wiki-horizontlist li dt:last-child::after,
.bg3wiki-horizontlist li li:last-child::after {
content: ")";
font-weight: normal;
}
}
 
.dropdown:not(#personal-inner) p {
/* Resource list */
.bg3wiki-resource-list dl {
margin: 0;
margin: 0;
padding: 0;
padding: 0;
}
}
 
.dropdown:not(#personal-inner) td {
.bg3wiki-resource-list dd,
white-space: nowrap;
.bg3wiki-resource-list dt {
vertical-align: top;
margin: 0;
padding: 1px;
display: inline;
}
}
 
.dropdown:not(#personal-inner) caption a {
.bg3wiki-resource-list dd dd,
.bg3wiki-resource-list dd ddt,
.bg3wiki-resource-list dt dd,
.bg3wiki-resource-list dt dt {
margin: 0 0 0 2.1em;
display: block;
display: block;
font-size: 150%;
padding: 5px 20px;
}
}


.bg3wiki-resource-list dd:last-child::after,
.dropdowntable td {
.bg3wiki-resource-list dt:last-child::after {
border: 1px solid #fff;
content: none;
}
 
/* Quotes */
.bg3wiki-quoteinline {
overflow: hidden;
margin: 0 0 -0.5em;
}
 
/* Important is a bad idea */
blockquote {
border-left: 2px solid #3d3d3d !important;
}
 
.bg3wiki-bquote {
overflow: hidden;
margin: 1em 0;
}
 
.bg3wiki-quotesource {
line-height: 1.5em;
padding-left: 1.5em;
margin-top: 0;
}
 
.bg3wiki-blockquote-marks {
color: var(--bg3wiki-blockquote-marks);
font-size: 120%;
font-family: serif;
font-weight: bold;
}
}
 
.dropdowntable td a {
/* Shortcut */
color: #fff;
.bg3wiki-template-shortcut {
display: inline-block;
background-color: var(--bg3wiki-documentation-header-bg);
border: 1px solid var(--bg3wiki-documentation-border);
text-align: center;
margin: 1em;
padding: 0 0.33em 0 0.33em;
vertical-align: top;
width: fit-content;
font-size: 85%;
}
 
.bg3wiki-template-shortcut-top {
text-align: center;
margin: 0;
padding: 0 0 0.16em 0;
border-bottom: 2px solid #3d3d3d;
font-size: 90%;
}
 
/* Resistance colours */
.bg3wiki-imagetext-text-resistant {
color: var(--bg3wiki-imagetext-text-resistant-color);
}
 
.bg3wiki-imagetext-text-immune{
color: var(--bg3wiki-imagetext-text-immune-color);
}
 
.bg3wiki-imagetext-text-vulnerable {
color: var(--bg3wiki-imagetext-text-vulnerable-color);
}
 
/* Character info template styling */
.bg3wiki-characterinfo {
background-color: var(--bg3wiki-characterinfo-bg);
border: var(--bg3wiki-characterinfo-border);
color: var(--bg3wiki-characterinfo-color);
width: 20em;
margin: 0.5em 0 0 2em;
}
 
.bg3wiki-characterinfo th:not(.bg3wiki-characterinfo-subheader) {
background: var(--bg3wiki-characterinfo-header-bg);
color: var(--bg3wiki-characterinfo-header-color);
}
 
.bg3wiki-characterinfo-subheader {
padding-left: 38px;
vertical-align: top;
background-color: var(--bg3wiki-characterinfo-subheader-bg);;
border: 0;
color: var(--bg3wiki-characterinfo-subheader-color);
}
 
/* Message boxes including ambox and mbox */
table.ombox,
table.ambox {
background-color: var(--bg3wiki-ambox-bg);
border: var(--bg3wiki-wikitable-border);
}
 
table.ambox-speedy {
/* Pink */
background-color: #400805 !important;
}
 
 
.div-col-rules {
column-rule: 1px solid #805608 !important;
}
 
/**
  Navbox classes
**/
.navbox,
.mw-parser-output .navbox-list-with-group,
.bg3wiki-navbox {
  text-align: center;
  border:1px solid var(--bg3wiki-tooltip-border);
  color: var(--fg);
  width: 100%;
}
 
.mw-parser-output .navbox-list-with-group, {
  color: var(--bg3wiki-navbox-header-text);
  background-color: var(--bg3wiki-navbox-bg);
}
 
.bg3wiki-navbox-header {
font-weight: bold;
font-size: 105%;
background-color: var(--bg3wiki-navbox-header-bg);
border: 0px none;
}
 
.bg3wiki-navbox-side-header {
background-color: var(--bg3wiki-navbox-header-bg);
}
 
.bg3wiki-navbox-side-secondary-header {
background-color: var(--bg3wiki-navbox-header-secondary-bg);
}
 
/* These important tags will be removed, emergency fix */
.navbox-title {
font-weight: bold;
background-color: var(--bg3wiki-navbox-header-bg);
border: none !important;
}
 
.navbox-group {
font-weight: bold;
background-color: var(--bg3wiki-navbox-label-bg);
border-top: var(--bg3wiki-navbox-label-border);
}
 
.navbox-subgroup .navbox-group {
font-weight: bold;
background-color: var(--bg3wiki-navbox-sublabel-bg);
border-top: var(--bg3wiki-navbox-label-border);
border-left: var(--bg3wiki-navbox-label-border);
}
 
 
.navbox-list {
  border:1px solid var(--bg3wiki-tooltip-border);
  background-color: var(--bg3wiki-navbox-data-bg);
}
 
.navbox-odd {
background-color: var(--bg3wiki-navbox-data-row-odd-bg);
border: none !important;
color: var(--fg);
}
 
.navbox-even {
background-color: var(--bg3wiki-navbox-data-row-even-bg);
border: none !important;
border-top: var(--bg3wiki-navbox-label-border);
color: var(--fg);
}
 
/* The actual contents of the navbox. */
.bg3wiki-navbox-content {
text-align: left;
padding: 0 4px;
}
 
/* Wikitext sometimes inserts implicit <p>s */
.bg3wiki-navbox-content p {
  color: var(--bg3wiki-navbox-header-text);
}
 
/* Classes for gameplay navboxes */
.bg3wiki-gameplay-navbox {
  color: var(--bg3wiki-navbox-header-text);
  background-color: var(--bg3wiki-gameplay-navbox-bg);
  margin-top: 1rem;
  border: 1px solid var(--bg3wiki-tooltip-border);
  width: 100%;
}
 
.bg3wiki-gameplay-navbox-header {
  background-color: var(--bg3wiki-gameplay-navbox-header-bg);
  text-align: center;
}
 
.bg3wiki-gameplay-navbox-row-header {
  font-size: 95%;
  padding: 0.75rem;
}
 
.bg3wiki-gameplay-navbox-content {
  border: 0px none;
  font-size: 95%;
  padding-left: 1ch;
}
 
table.wikitable td {
background-color: var(--bg3wiki-wikitable-bg) !important;
border: var(--bg3wiki-wikitable-border) !important;
}
 
.wikitable th {
background-color: var(--bg3wiki-wikitable-header-bg) !important;
border: var(--bg3wiki-wikitable-border) !important;
}
 
.wikitable th[scope=row],
.wikitable th[scope=rowgroup] {
font-weight: normal;
font-weight: normal;
text-align: left;
background-color: #000;
}
background-image: linear-gradient(top, #06305B, #3e4874);
 
/* Sidebar styling */
table.sidebar {
background-color: var(--bg3wiki-box-detail-bg);
color: var(--fg);
border: var(--bg3wiki-box-border);
}
 
.sidebar-title,
.sidebar-navbar {
background: var(--bg3wiki-box-header-bg);
color: var(--fg);
border: var(--bg3wiki-box-accent-dark-border);
}
 
.sidebar-above {
background: var(--bg3wiki-box-header-bg);
color: var(--fg);
border: var(--bg3wiki-box-accent-dark-border);
display: block;
display: block;
margin-bottom: 0.5em;
padding: 2px;
}
}
 
.dropdowntable td a:hover {
.sidebar-image,
background-image: linear-gradient(top, #bfbfff, #3e4874);
.sidebarcaption {
background-color: var(--bg3wiki-box-detail-bg);
border: var(--bg3wiki-box-detail-border);
color: var(--fg);
}
}


.sidebar-list-title {
/* --------------------------------------------------
background-color: var(--bg3wiki-box-label-bg);
END OF MAIN PAGE PORTALS CSS
border: var(--bg3wiki-box-label-border);
-------------------------------------------------- */
color: var(--fg);
text-align: left;
}


.sidebar-content {
/* Keep create account benefits up top */
background-color: var(--bg3wiki-box-data-bg);
.mw-special-CreateAccount #userloginForm {
color: var(--fg);
margin-right: 95px;
border: 1px solid var(--bg3wiki-box-data-border);
}
}
 
.mw-createacct-benefits-container {
.sidebar-list {
width: 360px;
background-color: var(--bg3wiki-box-data-bg);
text-align: center;
color: var(--fg);
border: 1px solid var(--bg3wiki-box-data-border);
}
 
.sidebar-list-content {
background-color: var(--bg3wiki-box-data-bg);
color: var(--fg);
border: 1px solid var(--bg3wiki-box-data-border);
}
 
.sidebar-heading {
background-color: var(--bg3wiki-box-label-bg);
border: var(--bg3wiki-box-label-border);
color: var(--fg);
display: block;
margin-bottom: 0.5em;
}
 
.sidebar-below {
background: var(--bg3wiki-box-header-bg);
color: var(--fg);
border: var(--bg3wiki-box-accent-dark-border);
}
}


.bg3wiki-sheet {
/* Adjust inputbox button padding in Firefox */
max-width: none;
@-moz-document url-prefix() {
width: 100%;
.bodySearchWrap .mw-ui-button, .createboxButton {
padding-top: 4px;
padding-bottom: 5px;
}
}
}


.ui-menu .ui-menu-item a {
/* Who's online */
color: var(--bg3wiki-ui-menu-item-a);
#whosonline {
}
margin-bottom: 1px;
 
/* Damage type colors, primarily used by [[Template:Damage colour]]. */
 
.bg3wiki-damage-type-physical,
.bg3wiki-damage-type-weapon,
.bg3wiki-damage-type-piercing,
.bg3wiki-damage-type-bludgeoning,
.bg3wiki-damage-type-slashing {
color: var(--bg3wiki-damage-colour-physical-fg);
}
.bg3wiki-damage-type-acid {
color: var(--bg3wiki-damage-colour-acid-fg);
}
.bg3wiki-damage-type-cold {
color: var(--bg3wiki-damage-colour-cold-fg);
}
.bg3wiki-damage-type-fire {
color: var(--bg3wiki-damage-colour-fire-fg);
}
.bg3wiki-damage-type-force {
color: var(--bg3wiki-damage-colour-force-fg);
}
.bg3wiki-damage-type-healing {
color: var(--bg3wiki-damage-colour-healing-fg);
}
.bg3wiki-damage-type-lightning {
color: var(--bg3wiki-damage-colour-lightning-fg);
}
.bg3wiki-damage-type-necrotic {
color: var(--bg3wiki-damage-colour-necrotic-fg);
}
.bg3wiki-damage-type-poison {
color: var(--bg3wiki-damage-colour-poison-fg);
}
.bg3wiki-damage-type-radiant {
color: var(--bg3wiki-damage-colour-radiant-fg);
}
.bg3wiki-damage-type-thunder {
color: var(--bg3wiki-damage-colour-thunder-fg);
}
.bg3wiki-damage-type-psychic {
color: var(--bg3wiki-damage-colour-psychic-fg);
}
}


.bg3wiki-info-blob .bg3wiki-damage-type-physical,
/* Width fixes */
.bg3wiki-info-blob .bg3wiki-damage-type-weapon,
@media all and (max-width: 1250px) {
.bg3wiki-info-blob .bg3wiki-damage-type-piercing,
.infobox.board div {
.bg3wiki-info-blob .bg3wiki-damage-type-bludgeoning,
width: auto !important;
.bg3wiki-info-blob .bg3wiki-damage-type-slashing {
}
color: var(--bg3wiki-damage-colour-physical-fg-bright);
.infobox.board div > div {
}
left: 7.5px !important;
.bg3wiki-info-blob .bg3wiki-damage-type-acid {
right: 7.5px !important;
color: var(--bg3wiki-damage-colour-acid-fg-bright);
}
}
.infobox.board img {
.bg3wiki-info-blob .bg3wiki-damage-type-cold {
max-width: 100% !important;
color: var(--bg3wiki-damage-colour-cold-fg-bright);
height: auto !important;
}
}
.bg3wiki-info-blob .bg3wiki-damage-type-fire {
color: var(--bg3wiki-damage-colour-fire-fg-bright);
}
.bg3wiki-info-blob .bg3wiki-damage-type-force {
color: var(--bg3wiki-damage-colour-force-fg-bright);
}
.bg3wiki-info-blob .bg3wiki-damage-type-healing {
color: var(--bg3wiki-damage-colour-healing-fg-bright);
}
.bg3wiki-info-blob .bg3wiki-damage-type-lightning {
color: var(--bg3wiki-damage-colour-lightning-fg-bright);
}
.bg3wiki-info-blob .bg3wiki-damage-type-necrotic {
color: var(--bg3wiki-damage-colour-necrotic-fg-bright);
}
.bg3wiki-info-blob .bg3wiki-damage-type-poison {
color: var(--bg3wiki-damage-colour-poison-fg-bright);
}
.bg3wiki-info-blob .bg3wiki-damage-type-radiant {
color: var(--bg3wiki-damage-colour-radiant-fg-bright);
}
.bg3wiki-info-blob .bg3wiki-damage-type-thunder {
color: var(--bg3wiki-damage-colour-thunder-fg-bright);
}
.bg3wiki-info-blob .bg3wiki-damage-type-psychic {
color: var(--bg3wiki-damage-colour-psychic-fg-bright);
}
 
/* The following single-word variants of the damage type class names are
* obsolete and should be removed once we've confirmed that they aren't still
* used somewhere.
*/
 
.physical,
.weapon,
.piercing,
.bludgeoning,
.slashing {
color: var(--bg3wiki-damage-colour-physical-fg);
}
.acid {
color: var(--bg3wiki-damage-colour-acid-fg);
}
.cold {
color: var(--bg3wiki-damage-colour-cold-fg);
}
.fire {
color: var(--bg3wiki-damage-colour-fire-fg);
}
.force {
color: var(--bg3wiki-damage-colour-force-fg);
}
.healing {
color: var(--bg3wiki-damage-colour-healing-fg);
}
.lightning {
color: var(--bg3wiki-damage-colour-lightning-fg);
}
.necrotic {
color: var(--bg3wiki-damage-colour-necrotic-fg);
}
.poison {
color: var(--bg3wiki-damage-colour-poison-fg);
}
.radiant {
color: var(--bg3wiki-damage-colour-radiant-fg);
}
.thunder {
color: var(--bg3wiki-damage-colour-thunder-fg);
}
.psychic {
color: var(--bg3wiki-damage-colour-psychic-fg);
}
 
.bg3wiki-info-blob .physical,
.bg3wiki-info-blob .weapon,
.bg3wiki-info-blob .piercing,
.bg3wiki-info-blob .bludgeoning,
.bg3wiki-info-blob .slashing {
color: var(--bg3wiki-damage-colour-physical-fg-bright);
}
.bg3wiki-info-blob .acid {
color: var(--bg3wiki-damage-colour-acid-fg-bright);
}
.bg3wiki-info-blob .cold {
color: var(--bg3wiki-damage-colour-cold-fg-bright);
}
.bg3wiki-info-blob .fire {
color: var(--bg3wiki-damage-colour-fire-fg-bright);
}
.bg3wiki-info-blob .force {
color: var(--bg3wiki-damage-colour-force-fg-bright);
}
.bg3wiki-info-blob .healing {
color: var(--bg3wiki-damage-colour-healing-fg-bright);
}
.bg3wiki-info-blob .lightning {
color: var(--bg3wiki-damage-colour-lightning-fg-bright);
}
.bg3wiki-info-blob .necrotic {
color: var(--bg3wiki-damage-colour-necrotic-fg-bright);
}
.bg3wiki-info-blob .poison {
color: var(--bg3wiki-damage-colour-poison-fg-bright);
}
.bg3wiki-info-blob .radiant {
color: var(--bg3wiki-damage-colour-radiant-fg-bright);
}
.bg3wiki-info-blob .thunder {
color: var(--bg3wiki-damage-colour-thunder-fg-bright);
}
.bg3wiki-info-blob .psychic {
color: var(--bg3wiki-damage-colour-psychic-fg-bright);
}
 
/* WTF is this? */
.fire-radiant {
color: #db7d02;
}
 
/* Colour classes for templates */
.bg3wiki-red-1,
th.red {
background-color: var(--bg3wiki-box-dark-red);
}
 
.bg3wiki-red-2 {
background-color: var(--bg3wiki-box-mid-red);
}
 
.bg3wiki-red-3 {
background-color: var(--bg3wiki-box-bright-red);
}
 
.bg3wiki-red-border {
border: var(--bg3wiki-box-border-red);
}
 
.bg3wiki-red-border-faded {
border: var(--bg3wiki-box-border-faded-red);
}
 
.bg3wiki-orange-1,
th.orange {
background-color: var(--bg3wiki-box-dark-orange);
}
 
.bg3wiki-orange-2 {
background-color: var(--bg3wiki-box-mid-orange);
}
 
.bg3wiki-orange-3 {
background-color: var(--bg3wiki-box-bright-orange);
}
 
.bg3wiki-orange-border {
border: var(--bg3wiki-box-border-orange);
}
 
.bg3wiki-orange-border-faded {
border: var(--bg3wiki-box-border-faded-orange);
}
 
.bg3wiki-yellow-1,
th.yellow {
background-color: var(--bg3wiki-box-dark-yellow);
}
 
.bg3wiki-yellow-2 {
background-color: var(--bg3wiki-box-mid-yellow);
}
 
.bg3wiki-yellow-3 {
background-color: var(--bg3wiki-box-bright-yellow);
}
 
.bg3wiki-yellow-border {
border: var(--bg3wiki-box-border-yellow);
}
 
.bg3wiki-yellow-border-faded {
border: var(--bg3wiki-box-border-faded-yellow);
}
 
.bg3wiki-yellow-green-1,
th.yellow-green {
background-color: var(--bg3wiki-box-dark-yellow-green);
}
 
.bg3wiki-yellow-green-2 {
background-color: var(--bg3wiki-box-mid-yellow-green);
}
 
.bg3wiki-yellow-green-3 {
background-color: var(--bg3wiki-box-bright-yellow-green);
}
 
.bg3wiki-yellow-green-border {
border: var(--bg3wiki-box-border-yellow-green);
}
 
.bg3wiki-yellow-green-border-faded {
border: var(--bg3wiki-box-border-faded-yellow-green);
}
 
.bg3wiki-green-1,
th.green {
background-color: var(--bg3wiki-box-dark-green);
}
 
.bg3wiki-green-2 {
background-color: var(--bg3wiki-box-mid-green);
}
 
.bg3wiki-green-3 {
background-color: var(--bg3wiki-box-bright-green);
}
 
.bg3wiki-green-border {
border: var(--bg3wiki-box-border-green);
}
 
.bg3wiki-green-border-faded {
border: var(--bg3wiki-box-border-faded-green);
}
 
.bg3wiki-cyan-green-1,
th.cyan-green {
background-color: var(--bg3wiki-box-dark-cyan-green);
}
 
.bg3wiki-cyan-green-2 {
background-color: var(--bg3wiki-box-mid-cyan-green);
}
 
.bg3wiki-cyan-green-3 {
background-color: var(--bg3wiki-box-bright-cyan-green);
}
 
.bg3wiki-cyan-green-border {
border: var(--bg3wiki-box-border-cyan-green);
}
 
.bg3wiki-cyan-green-border-faded {
border: var(--bg3wiki-box-border-faded-cyan-green);
}
 
.bg3wiki-cyan-1,
th.cyan {
background-color: var(--bg3wiki-box-dark-cyan);
}
 
.bg3wiki-cyan-2 {
background-color: var(--bg3wiki-box-mid-cyan);
}
 
.bg3wiki-cyan-3 {
background-color: var(--bg3wiki-box-bright-cyan);
}
 
.bg3wiki-cyan-border {
border: var(--bg3wiki-box-border-cyan);
}
 
.bg3wiki-cyan-border-faded {
border: var(--bg3wiki-box-border-faded-cyan);
}
 
.bg3wiki-blue-1,
th.blue {
background-color: var(--bg3wiki-box-dark-blue);
}
 
.bg3wiki-blue-2 {
background-color: var(--bg3wiki-box-mid-blue);
}
 
.bg3wiki-blue-3 {
background-color: var(--bg3wiki-box-bright-blue);
}
 
.bg3wiki-blue-border {
border: var(--bg3wiki-box-border-blue);
}
 
.bg3wiki-blue-border-faded {
border: var(--bg3wiki-box-border-faded-blue);
}
 
.bg3wiki-indigo-1,
th.indigo {
background-color: var(--bg3wiki-box-dark-indigo);
}
 
.bg3wiki-indigo-2 {
background-color: var(--bg3wiki-box-mid-indigo);
}
 
.bg3wiki-indigo-3 {
background-color: var(--bg3wiki-box-bright-indigo);
}
 
.bg3wiki-indigo-border {
border: var(--bg3wiki-box-border-indigo);
}
 
.bg3wiki-indigo-border-faded {
border: var(--bg3wiki-box-border-faded-indigo);
}
 
.bg3wiki-violet-1,
th.violet {
background-color: var(--bg3wiki-box-dark-violet);
}
 
.bg3wiki-violet-2 {
background-color: var(--bg3wiki-box-mid-violet);
}
 
.bg3wiki-violet-3 {
background-color: var(--bg3wiki-box-bright-violet);
}
 
.bg3wiki-violet-border {
border: var(--bg3wiki-box-border-violet);
}
 
.bg3wiki-violet-border-faded {
border: var(--bg3wiki-box-border-faded-violet);
}
 
 
.bg3wiki-magenta-1,
th.magenta {
background-color: var(--bg3wiki-box-dark-magenta);
}
 
.bg3wiki-magenta-2 {
background-color: var(--bg3wiki-box-mid-magenta);
}
 
.bg3wiki-magenta-3 {
background-color: var(--bg3wiki-box-bright-magenta);
}
 
.bg3wiki-magenta-border {
border: var(--bg3wiki-box-border-magenta);
}
 
.bg3wiki-magenta-border-faded {
border: var(--bg3wiki-box-border-faded-magenta);
}
 
/** Edit notice
*/
 
.bg3wiki-edit-notice {
  max-width: 30em;
  margin: 0 auto;
}
 
 
.bg3wiki-edit-notice ul {
padding: 0;
background-color: var(--bg3wiki-box-data-bg);
  border: 1px solid;
border-color: var(--bg3wiki-box-data-border);
  text-align: center;
}
 
.bg3wiki-edit-notice li {
padding: 0 0.4em;
}
 
.bg3wiki-edit-notice-help {
font-weight: bold;
background-color: var(--bg3wiki-box-header-bg);
border-color: var(--bg3wiki-box-header-border);
  text-align: center;
}
 
.bg3wiki-edit-notice-list {
font-size: 0.875em;
  font-weight: bold;
}
 
/** Hide for anon users
*/
.bg3wiki-group-autoconfirmed {
display: none;
}
 
.bg3wiki-achievement {
width: 100%;
}
 
/* For visual effect, as of now only used on [[Illithid Powers]]. */
 
.bg3wiki-visible-on-hover {
    opacity: 0;
    transition-property: opacity;
    transition-duration: .4s;
}
.bg3wiki-visible-on-hover:hover,
.bg3wiki-visible-on-hover:focus {
    opacity: 1;
}
 
/* Template:WeaponsTableHeader / Template:WeaponsTableRow */
 
.bg3wiki-weapons-table td:not(:last-child) {
text-align: center;
}
}

Revision as of 00:01, 21 February 2026

/* CSS placed here will be applied to all skins on desktop */

/* Navbox style
       Edit here: https://www.khwiki.com/MediaWiki:Gadget-NavboxStyle.css
   Staff highlights
       Edit here: https://www.khwiki.com/MediaWiki:Gadget-StaffHighlights.css */

/* Indicator icons */
.mw-indicators {
	display: flex;
}

/* Random logo */
#p-logo a { background: transparent no-repeat; }
.client-nojs #p-logo a,
.mw-special-Gadgets #p-logo a,
.mw-special-Userlogin #p-logo a,
.mw-special-Preferences #p-logo a,
.mw-special-ChangeEmail #p-logo a,
.mw-special-ResetTokens #p-logo a,
.mw-special-BotPasswords #p-logo a,
.mw-special-CreateAccount #p-logo a,
.mw-special-PasswordReset #p-logo a {
	background-image: url(https://kh.wiki.gallery/images/b/bc/Wiki.png);
}

/* Main page */
@media all and (min-width: 551px) {
	body.page-Main_Page.action-view #content {
		overflow: visible;
		z-index: 5;
	}
}
body.page-Main_Page.action-view .mw-parser-output table img {
	min-width: 15px !important;
	max-width: 100% !important;
	height: auto !important;
}

/* KHWiki tabber */
.infobox .tabbernav {
	font-size: 90%;
}
.tabber.info {
	float: right;
	display: block;
	margin: 0 0 0.5em 1em;
}
.tabber.info .nav {
	display: block !important;
}
.tabber.info .infobox > tbody > tr:nth-child(2) img {
	max-width: 100% !important;
	height: auto !important;
}
.tabber.info table {
	float: none !important;
	width: auto !important;
	display: block !important;
	max-width: none !important;
	overflow-x: auto !important;
	margin: 0 !important;
}
.tabber.info tbody {
	width: 100% !important;
	display: table !important;
}

/* Infobox templates */
.infobox {
	float: right;
	clear: right;
	margin: 0 0 0.5em 1em;
	padding: 2px;
}
.infobox.journal,
.infobox.journal-green {
	padding: 2px 1em 1em;
}

/* Notice templates */
table + #stub {
	margin-top: 10px;
}
.notice-template {
	width: 95%;
	margin: 0 auto 10px;
}
#mw-imagepage-content .notice-template {
	margin: 5px auto !important;
}
.notice-template + .notice-template {
	margin-top: -5px;
}

/* Video tables */
table.video {
	margin: 5px auto;
}

/* Suite tabs */
.suite_tab {
	display: inline;
	background: #fff;
	background: linear-gradient(top,#eee,#fff);
	box-shadow: 2px 2px 4px #333;
}

/* Forum formatting */
.forumlist td.forum_edited a {
	color: #000;
	text-decoration: none;
}
.forumlist td.forum_title a {
	padding-left: 20px;
}
.forumlist td.forum_title a.forum_new {
	font-weight: bold;
	background: url(https://kh.wiki.gallery/images/forum_new.gif) center left no-repeat;
	padding-left: 20px;
}
.forumlist td.forum_title a.forum_new:visited {
	background: none;
	font-weight: normal;
	padding-left: 20px;
}
.forumlist th.forum_title {
	padding-left: 20px;
}

/* --------------------------------------------------
MAIN PAGE PORTALS CSS FOLLOWS
ORIGINAL CONCEPT COURTESY OF THE ZELDA WIKI
http://www.zeldawiki.org
ADJUSTED BY KeybladeSpyMaster. Updated May 12, 2015
-------------------------------------------------- */

.nav {
	padding: 0;
	display: inline-block;
}
.nav:hover .dropdown:not(#personal-inner) {
	display: block !important;
}
.nav:hover .mwe-popups-container {
	display: none;
}

.container {
	height: 450px;
	position: absolute;
}

.dropdown:not(#personal-inner) {
	color: #000;
	float: left;
	z-index: 100;
	position: relative;
	display: none !important;
	border: 2px solid #BFBFBF;
	border-radius: 10px;
	right: -45%;
	left: -45%;
}
.dropdown:not(#personal-inner) a {
	color: #fff;
	text-decoration: none;
}
.dropdown:not(#personal-inner) p {
	margin: 0;
	padding: 0;
}
.dropdown:not(#personal-inner) td {
	white-space: nowrap;
	vertical-align: top;
	padding: 1px;
}
.dropdown:not(#personal-inner) caption a {
	display: block;
	font-size: 150%;
	padding: 5px 20px;
}

.dropdowntable td {
	border: 1px solid #fff;
}
.dropdowntable td a {
	color: #fff;
	font-weight: normal;
	background-color: #000;
	background-image: linear-gradient(top, #06305B, #3e4874);
	display: block;
	padding: 2px;
}
.dropdowntable td a:hover {
	background-image: linear-gradient(top, #bfbfff, #3e4874);
}

/* --------------------------------------------------
END OF MAIN PAGE PORTALS CSS
-------------------------------------------------- */

/* Keep create account benefits up top */
.mw-special-CreateAccount #userloginForm {
	margin-right: 95px;
}
.mw-createacct-benefits-container {
	width: 360px;
	text-align: center;
}

/* Adjust inputbox button padding in Firefox */
@-moz-document url-prefix() {
	.bodySearchWrap .mw-ui-button, .createboxButton {
		padding-top: 4px;
		padding-bottom: 5px;
	}
}

/* Who's online */
#whosonline {
	margin-bottom: 1px;
}

/* Width fixes */
@media all and (max-width: 1250px) {
	.infobox.board div {
		width: auto !important;
	}
	.infobox.board div > div {
		left: 7.5px !important;
		right: 7.5px !important;
	}
	.infobox.board img {
		max-width: 100% !important;
		height: auto !important;
	}
}